Subject: Re: loaded router, excessive getnstimeofday in oprofile\

From: Andi Kleen <[email-masked]>
Date: Thu, 28 Aug 2008 00:38:28 +0200

> This is a much different kind of delay compared to sleeping for seconds
> or longer on the socket lock while a GFP_KERNEL allocation is being
> satisfied by swapping tons of crap out to disk.

When this happens then new incoming packets will be lost anyways
because there will be no new packets fed back into the RX ring
because their allocation will either stall or fail too.
I don't think time stamps of dropped packets are very useful ;-)

-Andi

-- 
[email-masked]